## r-cran-freetypeharfbuzz 0.2.5+dfsg

=== DESCRIPTION ===
Package: freetypeharfbuzz
Title: Deterministic Computation of Text Box Metrics
Version: 0.2.5
Authors@R: c(
    person("Lionel", "Henry", ,"lionel@rstudio.com", c("aut", "cre")),
    person("RStudio", role = "cph"),
    person("David", "Turner", role = "aut", comment = "FreeType library"),
    person("Robert", "Wilhelm", role = "aut", comment = "FreeType library"),
    person("Werner", "Wilhelm", role = "aut", comment = "FreeType library"),
    person("Behdad", "Esfahbod", role = "aut", comment = "Harfbuzz library"),
    person("Simon", "Hausmann", role = "aut", comment = "Harfbuzz library"),
    person("Martin", "Hosken", role = "aut", comment = "Harfbuzz library"),
    person("Jonathan", "Kew", role = "aut", comment = "Harfbuzz library"),
    person("Lars", "Knoll", role = "aut", comment = "Harfbuzz library"),
    person("Werner", "Lemberg", role = "aut", comment = "Harfbuzz library"),
    person("Roozbeh", "Pournader", role = "aut", comment = "Harfbuzz library"),
    person("Owen", "Taylor", role = "aut", comment = "Harfbuzz library"),
    person("David", "Turner", role = "aut", comment = "Harfbuzz library"),
    person("Red Hat", role = "cph", comment = "Harfbuzz library")
    )
Description: Unlike other tools that dynamically link to the 'Cairo'
    stack, 'freetypeharfbuzz' is statically linked to specific
    versions of the 'FreeType' and 'harfbuzz' libraries (2.9 and 1.7.6
    respectively). This ensures deterministic computation of text box
    extents for situations where reproducible results are crucial (for
    instance unit tests of graphics).
Depends: R (>= 3.2)
Imports: fontquiver
Suggests: covr, testthat
SystemRequirements: GNU make
License: GPL-3 | file LICENSE
Encoding: UTF-8
LazyData: true
ByteCompile: true
Biarch: true
RoxygenNote: 6.1.0
NeedsCompilation: yes
Packaged: 2018-10-21 22:49:35 UTC; lionel
Author: Lionel Henry [aut, cre],
  RStudio [cph],
  David Turner [aut] (FreeType library),
  Robert Wilhelm [aut] (FreeType library),
  Werner Wilhelm [aut] (FreeType library),
  Behdad Esfahbod [aut] (Harfbuzz library),
  Simon Hausmann [aut] (Harfbuzz library),
  Martin Hosken [aut] (Harfbuzz library),
  Jonathan Kew [aut] (Harfbuzz library),
  Lars Knoll [aut] (Harfbuzz library),
  Werner Lemberg [aut] (Harfbuzz library),
  Roozbeh Pournader [aut] (Harfbuzz library),
  Owen Taylor [aut] (Harfbuzz library),
  David Turner [aut] (Harfbuzz library),
  Red Hat [cph] (Harfbuzz library)
Maintainer: Lionel Henry <lionel@rstudio.com>
Repository: CRAN
Date/Publication: 2018-10-30 15:50:14 UTC

=== debian/changelog ===
r-cran-freetypeharfbuzz (0.2.5+dfsg-2) unstable; urgency=medium

  * Source only upload

 -- Andreas Tille <tille@debian.org>  Tue, 21 Jan 2020 21:33:41 +0100

r-cran-freetypeharfbuzz (0.2.5+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #948804)

 -- Andreas Tille <tille@debian.org>  Mon, 13 Jan 2020 20:16:02 +0100

=== debian/control ===
Source: r-cran-freetypeharfbuzz
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-fontquiver,
# <dh-update-R>do not delete this</dh-update-R>
               libfreetype-dev,
               libharfbuzz-dev
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-freetypeharfbuzz
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-freetypeharfbuzz.git
Homepage: https://cran.r-project.org/package=freetypeharfbuzz

Package: r-cran-freetypeharfbuzz
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R deterministic computation of text box metrics
 Unlike other tools that dynamically link to the 'Cairo'
 stack, 'freetypeharfbuzz' is statically linked to specific
 versions of the 'FreeType' and 'harfbuzz' libraries (2.9 and 1.7.6
 respectively). This ensures deterministic computation of text box
 extents for situations where reproducible results are crucial (for
 instance unit tests of graphics).

## r-cran-freetypeharfbuzz 0.2.6%2Bdfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: freetypeharfbuzz
 Title: Deterministic Computation of Text Box Metrics
-Version: 0.2.5
+Version: 0.2.6
 Authors@R: c(
     person("Lionel", "Henry", ,"lionel@rstudio.com", c("aut", "cre")),
     person("RStudio", role = "cph"),
@@ -33,9 +33,9 @@
 LazyData: true
 ByteCompile: true
 Biarch: true
-RoxygenNote: 6.1.0
+RoxygenNote: 7.1.1
 NeedsCompilation: yes
-Packaged: 2018-10-21 22:49:35 UTC; lionel
+Packaged: 2021-01-08 20:59:20 UTC; lionel
 Author: Lionel Henry [aut, cre],
   RStudio [cph],
   David Turner [aut] (FreeType library),
@@ -53,4 +53,4 @@
   Red Hat [cph] (Harfbuzz library)
 Maintainer: Lionel Henry <lionel@rstudio.com>
 Repository: CRAN
-Date/Publication: 2018-10-30 15:50:14 UTC
+Date/Publication: 2021-01-11 16:20:03 UTC

=== tools/Makefile ===

FTHB_VERSION = `cat version`

FT_VERSION ?= 2.9
HB_VERSION ?= 1.7.6

FT = freetype-$(FT_VERSION)
HB = harfbuzz-$(HB_VERSION)


.PHONY: all
all: $(FT)-patched.tar.gz $(HB)-patched.tar.gz


$(FT)-vanilla.tar.gz:
	./download.sh "https://github.com/lionel-/freetypeharfbuzz/raw/v$(FTHB_VERSION)/tools/$(FT)-vanilla.tar.gz" $(FT)-vanilla.tar.gz

$(FT)-patched.tar.gz:
	./download.sh "https://github.com/lionel-/freetypeharfbuzz/raw/v$(FTHB_VERSION)/tools/$(FT)-patched.tar.gz" $(FT)-patched.tar.gz

$(HB)-vanilla.tar.gz:
	./download.sh "https://github.com/lionel-/freetypeharfbuzz/raw/v$(FTHB_VERSION)/tools/$(HB)-vanilla.tar.gz" $(HB)-vanilla.tar.gz

$(HB)-patched.tar.gz:
	./download.sh "https://github.com/lionel-/harfbuzz/archive/$(HB_VERSION)-CRAN.tar.gz" $(HB)-patched.tar.gz


.PHONY: tarballs
tarballs: tarballs-freetype tarballs-harfbuzz

.PHONY: tarballs-freetype
tarballs-freetype:
	./download.sh "https://download.savannah.gnu.org/releases/freetype/$(FT).tar.gz" $(FT)-vanilla.tar.gz && \
	tar -xf $(FT)-vanilla.tar.gz $(FT) && \
	(cd $(FT) && \
		patch -p1 < ../diffs/freetype/0001-Remove-pragma-diagnostics.patch && \
		patch -p1 < ../diffs/freetype/0002-Remove-amiga-files.patch \
	) && \
	tar -zcf $(FT)-patched.tar.gz $(FT) && \
	$(MAKE) clean

.PHONY: tarballs-harfbuzz
tarballs-harfbuzz:
	test -e $(HB).tar.bz2 || wget "https://github.com/harfbuzz/harfbuzz/releases/download/1.7.6/"$(HB).tar.bz2 && \
	rm -rf $(HB) && \
	tar -xf $(HB).tar.bz2 $(HB) && \
	(cd $(HB) && \
		patch -p1 < ../diffs/harfbuzz/0001-Undefine-HB_PRINTF_FUNC.patch && \
		patch -p1 < ../diffs/harfbuzz/0002-Remove-unnecessary-trailing-semi-colon.patch && \
		patch -p1 < ../diffs/harfbuzz/0003-Initialise-offsets.patch && \
		patch -p1 < ../diffs/harfbuzz/0004-Cast-to-void-before-memset.patch && \
		patch -p1 < ../diffs/harfbuzz/0005-Silence-gcc-warning.patch && \
		patch -p1 < ../diffs/harfbuzz/0006-Remove-flags-causing-warnings-on-Solaris.patch && \
		patch -p1 < ../diffs/harfbuzz/0007-Silence-Solaris-warnings-about-symbol-hiding.patch && \
		patch -p1 < ../diffs/harfbuzz/0008-Reenable-CXX11.patch && \
		cp ../m4/ax_cxx_compile_stdcxx.m4 ./m4 && \
		NOCONFIGURE=true ./autogen.sh && \
		patch < ../diffs/harfbuzz/harfbuzz-flag.diff && \
		patch < ../diffs/harfbuzz/harfbuzz-pkgconfig.diff \
	) && \
	tar -zcf $(HB)-patched.tar.gz $(HB)


.PHONY: clean
clean:
	rm -rf $(FT) $(HB) $(HB).tar.bz2

.PHONY: distclean
distclean: clean
	rm -rf \
		$(FT)-vanilla.tar.gz \
		$(FT)-patched.tar.gz \
		$(HB)-vanilla.tar.gz \
		$(HB)-patched.tar.gz


# Use this to print an envvar:
# make print-ENVVAR
print-%: ; @echo $* = $($*)

=== tools/config/Makefile ===
C99_FLAG = -std=c99

=== debian/changelog ===
r-cran-freetypeharfbuzz (0.2.6+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 15 Jan 2021 17:16:23 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-fontquiver,
 # <dh-update-R>do not delete this</dh-update-R>
                libfreetype-dev,
                libharfbuzz-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-freetypeharfbuzz
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-freetypeharfbuzz.git
 Homepage: https://cran.r-project.org/package=freetypeharfbuzz

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz" \
  https://cloud.r-project.org/src/contrib/freetypeharfbuzz_([-\d.]*)\.tar\.gz

## r-cran-freetypeharfbuzz 0.2.6+dfsg

=== debian/changelog ===
r-cran-freetypeharfbuzz (0.2.6+dfsg-4) unstable; urgency=medium

  * Build-Depends: architecture-is-64-bit
    Closes: #1120995
  * d/watch:
     - Version=5
     - Point to Archive
  * Standards-Version: 4.7.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 04 Dec 2025 17:24:14 +0100

r-cran-freetypeharfbuzz (0.2.6+dfsg-3) unstable; urgency=medium

  * Disable reprotest
  * Fix clean target
    Closes: #1046753
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 23 Oct 2023 14:11:37 +0200

r-cran-freetypeharfbuzz (0.2.6+dfsg-2) unstable; urgency=medium

  * Package 'freetypeharfbuzz’ was removed from the CRAN repository.
    The code was obtained from the archive.
  * Standards-Version: 4.6.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 29 Jan 2022 21:15:12 +0100

=== debian/control ===
Source: r-cran-freetypeharfbuzz
Standards-Version: 4.7.2
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 architecture-is-64-bit,
 r-cran-fontquiver,
 libfreetype-dev,
 libharfbuzz-dev,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-freetypeharfbuzz
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-freetypeharfbuzz.git
Homepage: https://cran.r-project.org/package=freetypeharfbuzz
Rules-Requires-Root: no

Package: r-cran-freetypeharfbuzz
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: GNU R deterministic computation of text box metrics
 Unlike other tools that dynamically link to the 'Cairo'
 stack, 'freetypeharfbuzz' is statically linked to specific
 versions of the 'FreeType' and 'harfbuzz' libraries (2.9 and 1.7.6
 respectively). This ensures deterministic computation of text box
 extents for situations where reproducible results are crucial (for
 instance unit tests of graphics).
 .
 Package 'freetypeharfbuzz’ was removed from the CRAN repository.
 The code was obtained from the archive.

=== debian/watch ===
Version:5

Source: https://cran.r-project.org/src/contrib/Archive/freetypeharfbuzz/
Matching-Pattern: freetypeharfbuzz_([-0-9\.]*).tar.gz
Dversion-Mangle: auto
Repack-Suffix: +dfsg
